API ReferenceAgents
Update Trigger
Toggle enabled state or repin the version of a trigger.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
trigger_id*Trigger Id
Format
uuidHeader Parameters
X-API-Key?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://api.levainlabs.com/api/v1/triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"agent_id": "string",
"integration_id": "string",
"integration_provider": "string",
"integration_display_name": "string",
"event_type": "string",
"enabled": true,
"agent_version": 0,
"created_at": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}